local opt = vim.opt
local g = vim.g

-- [[ Set panels ]] --
-- Vertical splits set right-side
-- By defalut, the panels in Neovim are placed according to the location of the current panel.
-- This setting will help us to keep the panels in order.
opt.splitright = true

-- Horizontal splits become below
opt.splitbelow = true

-- Use the system clipboard
opt.clipboard = "unnamedplus"

-- Disable file addtion at the end
opt.fixeol = false

-- Autocomplite (buil-in Neovim)
opt.completeopt = "menuone,noselect"

-- Not autocomment new lines when moving to a new line

vim.cmd [[autocmd BufEnter * set fo-=c fo-=r fo-=o]]

-- Set encoding file and show terminal to UTF-8

opt.encoding = "utf-8"
opt.fileencoding = "utf-8"
opt.ff = "unix"

-- Also work under ru
opt.langmap = "ФИСВУАПРШОЛДЬТЩЗЙКЫЕГМЦЧНЯ;ABCDEFGHIJKLMNOPQRSTUVWXYZ,фисвуапршолдьтщзйкыегмцчня;abcdefghijklmnopqrstuvwxyz"

opt.colorcolumn = "120"

opt.mouse = ""
